<?lsp

--[[
We get redirected to this LSP page by a "temporary" directory function
in .preload if there is no mako.conf file or if the mako.conf file
does not have a configured user.

See section "Authentication for homeowner and administrator" in
.preload and function "dirfunc" for more info
--]]


local secs = os.time() - secsStart -- 'secsStart' set in dirfunc -> .preload
local timeOK = secs < (60*5) -- Security check. Max 5 min after start.

if timeOK and request:method() == "POST" then
   local data = request:data()
   if data.ba_username and data.ba_password then
      local dio=ba.openio"disk"
      local fp = dio:open(cn) -- 'cn' set in dirfunc -> .preload
      local cfgT={}
      if fp then
         table.insert(cfgT, fp:read"*a")
         fp:close()
      end
      table.insert(cfgT, string.format('\nusers={%s={"%s"}}\n',
                                       data.ba_username, data.ba_password))
      local fp = dio:open(cn,"w")
      if fp then
         fp:write(table.concat(cfgT))
         fp:close()
         -- Code copied from mako.zip:.config and then modified for setting one user
         local users,userdb=1,{}
         userdb[data.ba_username]={pwd={data.ba_password},roles={}}
         local u=ba.create.jsonuser()
         u:set(userdb)
         mako.udb=function() return u,users end -- Used by .preload:createAdmAuth()
         authdir:unlink() -- Remove temporary dir. 'authdir' set in dirfunc -> .preload
         createAdmAuth() -- set in dirfunc -> .preload
         response:sendredirect(request:url())
      end
   end
end
?>
<!DOCTYPE html>
<html>
  <head>
    <title>Set Admin Credentials</title>
    <script src="/rtl/jquery.js"></script>
    <script src="/rtl/spark-md5.min.js"></script>
    <script src="setadmin.js"></script>
  </head>
  <body>
    <h1>Set Admin Credentials</h1>
    <p>You must set the administrator credentials  within 5 minutes of starting the server.</p>
<?lsp if timeOK then ?>
    <form method="post">
      Username: <input type="text" name="ba_username"><br>
      Password: <input type="password" name="ba_password" autocomplete="off"><br>
      <input type="hidden" name="ba_realm" value="Barracuda Server">
      <input type="button" id="ba_loginbut" value="Save Credentials">
    </form>
<?lsp else ?>
<p>For security reasons, the server or the VPS must be restarted!</p>
<?lsp end ?>
  </body>
</html>
