<?lsp
if not app.getHomeOwnerAuth():authenticate(request, "/") then return end


local domain = request:header"Host"
local b = app.getBroker(domain)
if not b then response:sendredirect"../" end
local cfgT=app.cfgfDomain(domain)
app.uTypeCookie(request, "user") -- Set, if not set

if request:method() == "POST" then
   local data=app.xssfilter(request:data())
   if data.day and data.time then -- Ref-AJAX
      local bt = tonumber(data.time) -- bt: browser time (24h clock)
      local bd = tonumber(data.day)
      if bt and bd then
         local now = os.date("*t",os.time())
         local st = now.hour * 3600 + now.min * 60 + now.sec -- st: server time
         cfgT.timeZoneOffset = bt - st
         if bd ~= now.day then
            local dd = bd - now.day
            if dd == 1 then
               cfgT.timeZoneOffset = cfgT.timeZoneOffset + 24*3600
            elseif dd == -1 then
               cfgT.timeZoneOffset = cfgT.timeZoneOffset - 24*3600
            else
               response:setstatus(204)
               return  -- Can't compute
            end
         end
         app.cfgfDomain(domain, cfgT)
         b.sm:setTime(cfgT)
         response:json{stime=os.time(),tzone=cfgT.timeZoneOffset}
         return;
      end
   end
   data.savebut=nil
   local ok=true
   for k,v in pairs(data) do
      local h =  v:match("(%d+):(%d+)")
      if not h then
         ok=false
         break
      end
   end
   if ok then
      for k,v in pairs(data) do
         cfgT.time[k] = v
      end
      app.cfgfDomain(domain, cfgT)
      b.sm:setTime(cfgT)
   end
end

local t=cfgT.time

?>
<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
	<link type="text/css" href="../LightController.css" rel="stylesheet">

  <script type='text/javascript' src='/rtl/jquery.js'></script> 
  <script type='text/javascript' src='validate.js'></script> 
</head>

<body class="logged-in-page">
<div class="container">
<div class="content-wrap">
<h1 class="page-title">Configure Light Controller</h1>
<p class="breadcrumb"><a href="../">Light Controller</a> &gt; Configure</p>
<form method="post" id="config_form">
<fieldset><legend>Lights</legend>
<table>
<tr><td>Set On:</td><td><input type="time" name="setOn" value="<?lsp=t.setOn?>" /></td></tr>
<tr><td>Set Off:</td><td><input type="time" name="setOff" value="<?lsp=t.setOff?>" /></td></tr>
</table>
</fieldset>
<fieldset><legend>Public Access</legend>
<table>
<tr><td>Not Before:</td><td><input type="time" name="notBefore" value="<?lsp=t.notBefore?>" /></td></tr>
<tr><td>Not After:</td><td><input type="time" name="notAfter" value="<?lsp=t.notAfter?>" /></td></tr>
</table>
</fieldset>
<div class="button"><input type="submit" name="savebut" value="Save"/></div>
</form>

<table id="time">
<tr><td>Local Time:</td><td id="ltime"></td></tr>
<tr><td>Server Time:</td><td id="stime"></td></tr>
<tr><td>Auto Adjusted Time:</td><td id="tdiff"></td></tr>
</table>

<ul id="dlinks">
   <li><a href="advanced.lsp">Advanced Configuration</a></li>
</ul>

<audio id="pong"><source src="../audio/pong.mp3" type="audio/mp3" /></audio>
</div>

<div class="footer">
  <a target="help" id="helpb" href="../doc/manual.html#uconf"><img src="../images/help.png" alt="Help" /></a>
  <a href="../doc/"><img src="../images/footer-logo.png" alt="Real Time Logic" /></a>
</div>
</div>
</body>
</html>

