function validateTime(val) {
    return /^([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?$/.test(val);
};

$(function() {
    function checkInpElem(elem) {
        var val= $(elem).val();
        var valid=validateTime(val);
        $(elem).css({'background-color' : valid ? '' : 'red'});
        return valid;
    };
    
    $("input[type=text]").change(function() { checkInpElem(this); });
    $("input[type=submit]").click(function() {
        var errs=0;
        $("input[type=text]").each(function() {
            if(!checkInpElem(this))
                errs++;
        });
        if(errs) {
            $("#pong")[0].play();
            return false;
        }
        return true;
    });
    var d = new Date();
    //Send local time to server: Ref-AJAX
    $.post(window.location.href,
           {day:d.getDate(),
            time:d.getHours()*3600+d.getMinutes()*60+d.getSeconds()},
           function(data) {
               $("#ltime").html((new Date()).toLocaleTimeString());
               $("#stime").html((new Date((data.stime-data.tzone)*1000)).toLocaleTimeString());
               var tz = data.tzone >= 0 ? data.tzone : -data.tzone;
               var tdiff = new Date(tz*1000);
               $("#tdiff").html((data.tzone>=0?"":"-")+tdiff.getUTCHours()+":"+tdiff.getUTCMinutes());
               $("#time").show();
           },
          "json");
});
