<?lsp

response:setheader("Cache-Control", "no-cache, no-store, must-revalidate")
response:setheader("Pragma", "no-cache")
response:setheader("Expires", "0")

local domain = request:header"Host"
local b = app.getBroker(domain)
-- Find out if this is an SMQ connection request
if require("smqbroker").isSMQ(request) then
   app.log("New SMQ client connecting to %s from %s. WebSocket: %s",
           domain,request:peername(),
           request:header"Sec-WebSocket-Key" and "yes" or "no")
   if b then
      b.connect(request)
   else
      trace("Error: domain ",domain," not registered by administrator!")
   end
   return
end
if b then
   if not app.getPubAccessState(domain) and not request:user() then
      response:forward".NoPubAccess.lsp"
   end
   response:forward"LightController.shtml"
end
?>
<!doctype html>
<html lang="en">
<head>
   <meta charset="UTF-8" />
   <title>Light Controller</title>
   <meta name="description" content="Holiday IoT Light Controller"> 
   <meta name="viewport" content="width=device-width, initial-scale=1">
   <link rel="manifest" href="manifest.json">
   <link rel="icon" href="favicon.ico">
   <link rel="stylesheet" type="text/css" href="LightController.css">
</head>
<body class="logged-in-page no-public-access">
  <div class="container">
    <div class="content-wrap">
      <h1 class="page-title">Unknown domain</h1>
      <div class="pub-content">
        <a href="admin/">Manage Domains</a><br/>
        <a href="doc/manual.html">Documentation</a><br/>
      </div>
    </div>
    <div class="footer">
      <a target="help" id="helpb" href="doc/"><img src="../images/help.png" alt="Help" /></a>
      <a href="doc/manual.html"><img src="../images/footer-logo.png" alt="Real Time Logic" /></a>
    </div>
  </div>
</body>
</html>



